function [ d dMax] = computePointSetDistancesVsNm(inputMeshList, N, S, outputTestDirGenName, NmStart,NmStop,dNm,nIter,R)
% N is the number of samples to be generated.
% S is the number of leave out samples
% J is the number of pca modes, must be samller than N-S
%J = min(S, N-S);
J= N-S;

folderName = sprintf('%s/%s',pwd,outputTestDirGenName);
mkdir(folderName);
cd(folderName)

nNm = (NmStop - NmStart)/dNm+1;
for i= 1:1:nNm
   Nm = NmStart + (i-1)*dNm;
      
   %make a name for this Nm
   NmfolderName = sprintf('%s/J%dNm%04d',pwd,J,Nm);
   %[d(:,:,i) dMax(:,:,i)] = crossValidateDistances(inputMeshList, NmfolderName,0,0,N,S,Nm,0,nIter,R,[],[],[]); %for generalization
   %[d(:,:,i) dMax(:,:,i)] = crossValidateSpecificity(inputMeshList, NmfolderName,N,S); d=[];%for specificity
   d(:,:,i) = crossValidateCompactness(inputMeshList, NmfolderName,N,S); dMax=[]; %for compactness
end


cd ../
end
