function [d dMax] = computePointSetDistancesVsZ(inputMeshList, N, S, outputTestDirGenName, zStart,zStop,dz)
% N is the number of samples to be generated.
% M is the initial number of model points
% S is the number of leave out samples
% J is the number of pca modes, must be samller than N-S
%J = min(S, N-S);
J= N-S;

folderName = sprintf('%s/%s',pwd,outputTestDirGenName);
mkdir(folderName);
cd(folderName)


nZ = (zStop - zStart)/dz+1;
for i= 1:1:nZ
   z = zStart+(i-1)*dz;
   if (z==1)
       z= 1 - 1e-2;
   end
   if (z==0)
       z= 1e-2;
   end    
   
   %make a name for this z
   zfolderName = sprintf('%s/J%dZ%3.2f',pwd,J,z);
   %i = uint8(z/dz) + 1;
   %[d(:,:,i) dMax(:,:,i)] = crossValidateDistances(inputMeshList, zfolderName,1,0,N,S,0,z,[],[],[]); %for generalization 
   
   %[d(:,:,i) dMax(:,:,i)] = crossValidateSpecificity(inputMeshList, zfolderName,N,S); d=[];%for specificity
   d(:,:,i) = crossValidateCompactness(inputMeshList, zfolderName,N,S); dMax=[];%for compactness
   
end


cd ../
end
