function [d s] = countModelPointsVsZ(N, S, outputTestDirGenName, zStart,zStop,dz)

folderName = sprintf('%s/%s',pwd,outputTestDirGenName);
cd(folderName)
J= N-S;

nZ = (zStop - zStart)/dz+1;
for i= 1:1:nZ
   z = zStart+(i-1)*dz;
   if (z==1)
       z= 1 - 1e-2;
   end
   if (z==0)
       z= 1e-2;
   end    
   
   %make a name for this z
   zfolderName = sprintf('%s/J%dZ%3.2f',pwd,J,z);
   [d(:,:,i) s(:,:,i)] = countModelPoints(zfolderName,N/S);

end


cd ../
end
