function plotSpNmVsZ()
cd /home/drgooya/Data_Prostate/RES/RES2mm/zp70/Sparse
for i=1:1:9
    foldername=sprintf('N20_%02d',i+1);
    [nP(:,:,:,i) sP(:,:,:,i)]=countModelPointsVsZ(20,5,foldername,0,1,.1);
end
nP=reshape(permute(squeeze(nP),[1,3,2]),[36 11]);
sP=reshape(permute(squeeze(sP),[1,3,2]),[36 11]);

cd /home/drgooya/Documents/Data_Hip/Train/Labels/RES/zp99/Sparse
for i=1:1:3
    foldername=sprintf('N24S6_%02d',i);
    [nH(:,:,:,i) sH(:,:,:,i)]=countModelPointsVsZ(24,6,foldername,0,1,.1);
end
nH=reshape(permute(squeeze(nH),[1,3,2]),[12 11]);
sH=reshape(permute(squeeze(sH),[1,3,2]),[12 11]);

%cd /home/drgooya/Documents/projects/ShapeModels/caudate/caudate-training/BWH_PNL/th2/Z.9/Sparse
cd /home/drgooya/Documents/projects/ShapeModels/caudate/caudate-training/BWH_PNL/2Nucleus/th2/Z.95/Sparse/
for i=1:1:5
    foldername=sprintf('N15S5_%02d',i);
    [nC(:,:,:,i) sC(:,:,:,i)]=countModelPointsVsZ(15,5,foldername,0,1,.1);
end
nC=reshape(permute(squeeze(nC),[1,3,2]),[15 11]);
sC=reshape(permute(squeeze(sC),[1,3,2]),[15 11]);

figure,plotBar(nP(:,1:11),0,.1,0,3500,'-*b','nm','Z')
plotBar(nC(:,1:11),0,.1,0,3500,'-*g','nm','Z')
plotBar(nH(:,1:11),0,.1,0,3500,'-*r','nm','Z')
set(gcf,'Position',[0 0 800 800])
set(gca,'Position',[.1 0.08 .88 .9])
figure,plotBar(sP,0,.1,0,100,'-*b','sp','Z')
plotBar(sC,0,.1,0,100,'-*g','sp','Z')
plotBar(sH,0,.1,0,100,'-*r','sp','Z')
set(gcf,'Position',[0 0 800 800])
set(gca,'Position',[.1 0.08 .88 .9])
end